Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Newcomers » Newcomers » Trouble With Eclipse Installer(When I was trying to install Eclipse, it did not complete. I reinstalled my Java Development Kit, but now get I a error)
Trouble With Eclipse Installer [message #1829686] Wed, 08 July 2020 21:04 Go to next message
Daniël Klouwens is currently offline Daniël KlouwensFriend
Messages: 3
Registered: July 2020
Junior Member
When I was trying to install Eclipse, it did not complete. I reinstalled my Java Development Kit, but now I get the following error:

Error: could not open 'H:\Program Files\Progammeren\Java\lib\i386\jvm.cfg'.

Some background info: I have multiple drives in my laptop. H is the one where I install all my programms. So I also installed Java Dev Kit there.

When I tried to install Eclipse the first time I couldn't find my Dev Kit and gave me two options: Help and Browse. I unfortunatley clicked help and was redirected to the Eclipse website. When I reopened the Eclipse Installer, it didn't promt me with those two options, but instantly directed me to the website.

I wanted to Browse to my Dev Kit installation, so I redownloaded the Installer. Same problem: Instant redirect to Eclipses site.

I then reinstalled the Dev Kit to it's default location (on C drive) and redownloaded the Eclipse Installer. Now the above mentioned error pops up.
(Error: could not open 'H:\Program Files\Progammeren\Java\lib\i386\jvm.cfg'.)

I then reinstalled the Dev Kit again to it's first location (on H drive) but the error keeps poppoing up.

Any help would be very much appreciated.

Kind regards,
Daniël
Re: Trouble With Eclipse Installer [message #1829697 is a reply to message #1829686] Thu, 09 July 2020 04:07 Go to previous messageGo to next message
Ed Merks is currently offline Ed MerksFriend
Messages: 31608
Registered: July 2009
Senior Member
Googling that error, it sounds a bit like this one:

https://www.java67.com/2015/10/error-could-not-open-java-jmv-cfg-lib-eclipse.html

Are you able to run "java -version " from the command line?

Note that you can tell the installer to use a specific version from the command line using the following if the one it finds in the registry or on your PATH don't work:
eclipse-inst-win64.exe -vm "C:/Program Files/Java/jdk1.8.0_231"


Ed Merks
Professional Support: https://www.macromodeling.com/
Re: Trouble With Eclipse Installer [message #1829703 is a reply to message #1829686] Thu, 09 July 2020 08:21 Go to previous messageGo to next message
Tauno Voipio is currently offline Tauno VoipioFriend
Messages: 607
Registered: August 2014
Senior Member
It seems that you have a 32 bit Java. You should have a 64 bit one.

Please go to the Oracle Java pages and get the correct JDK (not only JRE).


--

Tauno Voipio
. [message #1829800 is a reply to message #1829697] Fri, 10 July 2020 17:45 Go to previous messageGo to next message
Daniël Klouwens is currently offline Daniël KlouwensFriend
Messages: 3
Registered: July 2020
Junior Member
.

[Updated on: Fri, 10 July 2020 17:46]

Report message to a moderator

Re: Trouble With Eclipse Installer [message #1829801 is a reply to message #1829697] Fri, 10 July 2020 17:45 Go to previous messageGo to next message
Daniël Klouwens is currently offline Daniël KlouwensFriend
Messages: 3
Registered: July 2020
Junior Member
Ed Merks wrote on Thu, 09 July 2020 04:07
Googling that error, it sounds a bit like this one:

https://www.java67.com/2015/10/error-could-not-open-java-jmv-cfg-lib-eclipse.html

Are you able to run "java -version " from the command line?

Note that you can tell the installer to use a specific version from the command line using the following if the one it finds in the registry or on your PATH don't work:
eclipse-inst-win64.exe -vm "C:/Program Files/Java/jdk1.8.0_231"



Hi Ed,
Thanks for your response.

When I run the "java -version" command, I get the following output:

"Error: could not open `H:\Program Files\Progammeren\Java\lib\i386\jvm.cfg"
Re: Trouble With Eclipse Installer [message #1829803 is a reply to message #1829801] Fri, 10 July 2020 18:02 Go to previous message
Ed Merks is currently offline Ed MerksFriend
Messages: 31608
Registered: July 2009
Senior Member
Until you have a version of Java installed that runs, nothing that needs Java will run... You really downloaded a 64bit JDK an installed it, changing only the location where it installed?

Ed Merks
Professional Support: https://www.macromodeling.com/
Previous Topic:Eclipse intallation failed for Eclipse IDE 2020-06
Next Topic:org.eclipse.swt.ole.win32.OleAutomation without GUI
Goto Forum:
  


Current Time: Fri Nov 27 00:55:46 GMT 2020

Powered by FUDForum. Page generated in 0.03529 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top